org.apache.kylin.jdbc.util

## Class SQLTypeMap

- java.lang.Object
- - org.apache.kylin.jdbc.util.SQLTypeMap

    public class SQLTypeMap
    extends Object

Util class to handle type gap between sql types and java types.

Author:
  xduo

### Field Summary

Fields
`static Map<String,net.hydromatic.avatica.ColumnMetaData>` `columnMetaTypeMapping`
`static Map<String,net.hydromatic.avatica.ColumnMetaData>` `schemaMetaTypeMapping`
`static Map<String,net.hydromatic.avatica.ColumnMetaData>` `tableMetaTypeMapping`

### Constructor Summary

Constructors
Constructor and Description
`SQLTypeMap()`

### Method Summary

Methods
`static Class` `convert(int sqlType)`
`static Object` `wrapObject(String value, int sqlType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### schemaMetaTypeMapping

    public static final Map<String,net.hydromatic.avatica.ColumnMetaData> schemaMetaTypeMapping

#### columnMetaTypeMapping

    public static final Map<String,net.hydromatic.avatica.ColumnMetaData> columnMetaTypeMapping

#### tableMetaTypeMapping

    public static final Map<String,net.hydromatic.avatica.ColumnMetaData> tableMetaTypeMapping

### Constructor Detail

#### SQLTypeMap

    public SQLTypeMap()

### Method Detail

#### convert

    public static Class convert(int sqlType)

#### wrapObject

    public static Object wrapObject(String value,
                    int sqlType)